Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class CursorableLinkedList.Cursor

    java.lang.Object
      org.apache.commons.collections.CursorableLinkedList.Cursor

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  CursorableLinkedList

    public class CursorableLinkedList.Cursor

extends java.lang.Object
implements java.util.ListIterator

Method Summary
`void` | `add(java.lang.Object o)`
`protected void` | `checkForComod()`
`void` | `close()` Mark this cursor as no longer being needed.
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`protected void` | `invalidate()`
`protected void` | `listableChanged(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`protected void` | `listableInserted(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`protected void` | `listableRemoved(org.apache.commons.collections.CursorableLinkedList.Listable elt)`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, hasPrevious, next, previous, remove, set`

Method Detail

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`

### listableRemoved

    protected void listableRemoved(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### listableInserted

    protected void listableInserted(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### listableChanged

    protected void listableChanged(org.apache.commons.collections.CursorableLinkedList.Listable elt)

### checkForComod

    protected void checkForComod()

### invalidate

    protected void invalidate()

### close

    public void close()

  Mark this cursor as no longer being needed. Any resources associated with this cursor are immediately released. In previous versions of this class, it was mandatory to close all cursor objects to avoid memory leaks. It is no longer necessary to call this close method; an instance of this class can now be treated exactly like a normal iterator.

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.